apiVersion: v1
kind: ConfigMap
metadata:
  name: proxy-routes
  namespace: staging
data:
  routes.json: |
    [
      {"host": "keycloak.siscc.org", "target": "http://keycloak-http"},
      {"host": "sfs-demo.siscc.org", "target": "http://sfs" },
      {"host": "share-demo.siscc.org", "target": "http://share" },
      {"host": "dv-demo.siscc.org", "target": "http://data-viewer", "tenant": "siscc" },
      {"host": "dlm-demo.siscc.org", "target": "http://data-lifecycle-manager" },
      {"host": "dlm-demo-oecd.siscc.org", "target": "http://data-lifecycle-manager", "tenant": "oecd:dlm" },
      {"host": "dlm-demo-oecd-eco.siscc.org", "target": "http://data-lifecycle-manager", "tenant": "oecd-eco:dlm" },
      {"host": "de-demo-oecd.siscc.org", "target": "http://data-explorer", "tenant": "oecd:de"},
      {"host": "de-demo-oecd-eco.siscc.org", "target": "http://data-explorer", "tenant": "oecd-eco:de"},
      {"host": "de-demo.siscc.org", "target": "http://data-explorer", "tenant": "siscc:de"},
      {"host": "de-demo-abs.siscc.org", "target": "http://data-explorer", "tenant": "abs:de"},
      {"host": "de-demo-astat.siscc.org", "target": "http://data-explorer", "tenant": "astat:de"},
      {"host": "de-demo-ins.siscc.org", "target": "http://data-explorer", "tenant": "ins:de"},
      {"host": "de-demo-statec.siscc.org", "target": "http://data-explorer", "tenant": "statec:de"},
      {"host": "de-demo-statsnz.siscc.org", "target": "http://data-explorer", "tenant": "statsnz:de"},
      {"host": "de-demo-bfs.siscc.org", "target": "http://data-explorer", "tenant": "bfs:de"},
      {"host": "de-demo-oecd-daf-dti.siscc.org", "target": "http://data-explorer", "tenant": "oecd-daf-dti:de"},
      {"host": "de-demo-statcan.siscc.org", "target": "http://data-explorer", "tenant": "statcan:de"},
      {"host": "de-demo-cbsnl.siscc.org", "target": "http://data-explorer", "tenant": "cbsnl:de"},
      {"host": "de-demo-wb.siscc.org", "target": "http://data-explorer", "tenant": "dg-wb:de"},
      {"host": "de-demo-inei.siscc.org", "target": "http://data-explorer", "tenant": "dg-inei:de"}
    ]
---
apiVersion: v1
kind: Service
metadata:
  name: proxy
  namespace: staging
  labels:
    app: proxy
spec:
  type: NodePort
  ports:
  - port: 80
    targetPort: 80
  selector:
    app: proxy
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: proxy
  namespace: staging
spec:
  selector:
    matchLabels:
      app: proxy
  replicas: 1
  template:
    metadata:
      labels:
        app: proxy
    spec:
      containers:
      - name: proxy
        image: siscc/dotstatsuite-kube-proxy:master
        imagePullPolicy: Always
        volumeMounts:
        - name: proxy-routes
          mountPath: /opt/data
        env:
        - name: LOGGING_DRIVER
          value: "gke"
        - name: LOGGING_PROJECT_ID
          value: "oecd-228113"
        - name: LOGGING_LOGNAME
          value: "app-staging"
        - name: CONFIG_URL
          value: "http://config"
        - name: PORT
          value: "80"
        - name: MONGODB_URL
          value: "mongodb://mongo:27017"
        ports:
        - name: readiness-port
          containerPort: 80
        readinessProbe:
          httpGet:
            path: /_healthcheck_
            port: readiness-port
      volumes:
       - name: proxy-routes
         configMap:
          name: proxy-routes
